<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/lst.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$pbm_cli = FALSE;

if (valsession('niv_log') < 3) {
    $pbm_cli = TRUE;
}

if (CheckNivLog('3-4')) {
    $row = lit_enr_age(valsession('code_age'), TRUE);
    if (is_array($row)) {
        extract($row);
    } else {
        $pbm_cli = TRUE;
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Impression Liste Clients'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>

<?php
if ($pbm_cli == FALSE) {
    entimplst(_('LISTE DES CLIENTS'));

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = cree_strrechlstcli(valsession('niv_log'), valsession('code_age'), valsession('code_do'));
    $rech = cree_strrechlst_filtre_col($rech);
    $rech .= crestr_triord($cli_titre_col, 'cli_code', FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Affichage de la table
    echo '<table class="MItable" border="0" width="100%" cellpadding="0" cellspacing="0">';

    // création entête
    titimplst($cli_titre_col);

    foreach ($rows as $row) {
        $row = encode_str($row);
        $afficheok = TRUE;

        // Si agence ou technicien, vérifie que le Département du client est dans la zone de chalandise de l'agence
        if (CheckNivLog('3-4')) {
            $afficheok = client_age_ok($row['cli_code'], valsession('code_age'), FALSE);
        }

        if ($afficheok == TRUE) {
            echo '<tr>';
            echo '<td>' . $row['cli_code'] . '</td>';
            echo '<td>';
            if ($row['cli_ste'] <> '') {
                echo $row['cli_ste'];
            } else {
                echo '&nbsp;';
            }
            echo '</td>';
            echo '<td>';
            echo $row['cli_civilite'] . ' ' . $row['cli_nom'] . ' ' . $row['cli_prenom'];
            echo '</td>';
            echo '<td>' . $row['cli_telf'] . '</td>';
            if ($row['cli_telp'] <> '') {
                echo '<td>' . $row['cli_telp'] . '</td>';
            } else {
                echo '<td align="center">-</td>';
            }
            echo '<td>' . $row['cli_email'] . '</td>';

            echo '</tr>';
        }
    }
    echo '</table>';
    // *** Fin affichage de la table

    close_database();
} else {
    ?>
    <script type="text/javascript">
        <!--
        window.close();
        //-->
    </script>
    <?php
}
?>
</body>
</html>